
local pathToMod = g_currentModDirectory;

BGAPDA = {};

function BGAPDA:loadMap(name)

	table.insert(g_currentMission.missionStats.PDAScreens, ScreenBGA);
	
	print("PDA Site: BGA loaded")

end;

function BGAPDA:deleteMap()
end;

function BGAPDA:mouseEvent(posX, posY, isDown, isUp, button)
end;

function BGAPDA:keyEvent(unicode, sym, modifier, isDown)
end;

function BGAPDA:update(dt)
end;

function BGAPDA:draw()
end;

addModEventListener(BGAPDA);




ScreenBGA = {};
ScreenBGA.title = "Biogasanlage";

function ScreenBGA:load(stats)

	self.hudPDABasePosX = -0.008;
    self.hudPDABasePosY = -0.003;
    self.hudPDABaseWidth = 0.45;
    self.hudPDABaseHeight = self.hudPDABaseWidth * (576 / 1024) * (4 / 3); --TODO: Calculate correct aspect ratio
    self.hudPDABGAOverlay = Overlay:new("hudPDAbgaOverlay", Utils.getFilename("bga.png", pathToMod), self.hudPDABasePosX, self.hudPDABasePosY, self.hudPDABaseWidth, self.hudPDABaseHeight);
	
	
    self.siloOverlay = Overlay:new("hudPDAbgaOverlay", Utils.getFilename("silo.png", pathToMod), 0.05, 0.1416015625, 0.06640625, 0.0546875);
	
	self.manureOverlay = Overlay:new("hudPDAbgaOverlay", Utils.getFilename("guelle.png", pathToMod), 0.275, 0.044921875, 0.11015625, 0.0537109375);


end;

function ScreenBGA:mouseEvent(stats, posX, posY, isDown, isUp, button)
end;

function ScreenBGA:keyEvent(stats, unicode, sym, modifier, isDown)
end;

function ScreenBGA:update(stats, dt)
end;

function ScreenBGA:draw(stats)

	self.hudPDABGAOverlay:render();	
	self.siloOverlay:render();	
	self.manureOverlay:render();

	self.siloOverlay.height = (MapBGABunker.fillLevel/MapBGABunker.capacity)*0.0546875;
	
	self.manureOverlay.height = (MapBGABunker.manure.fillLevel/MapBGABunker.manure.capacity)*0.0537109375;
	
	setTextColor(0,0,0,1);
	setTextBold(true);
	
	renderText(0.240625, 0.2451171875, stats.pdaFontSize, "Status: ");
    if MapBGABunker.fillLevel > 0 and MapBGABunker.manure.fillLevel < MapBGABunker.manure.capacity then
		setTextColor(0,0.8,0,1);
		renderText(0.3, 0.2451171875, stats.pdaFontSize, "Betrieb");
	elseif MapBGABunker.manure.fillLevel >= MapBGABunker.manure.capacity and MapBGABunker.fillLevel > 0 then
		setTextColor(0.8,0,0,1);
		renderText(0.3, 0.2451171875, stats.pdaFontSize, "Stillstand,");
		renderText(0.240625, 0.2451171875-stats.pdaFontSize * 1.15, stats.pdaFontSize, "Guellegrube voll");
	elseif MapBGABunker.manure.fillLevel < MapBGABunker.manure.capacity and MapBGABunker.fillLevel <= 0 then
		setTextColor(0.8,0,0,1);
		renderText(0.3, 0.2451171875, stats.pdaFontSize, "Stillstand,");
		renderText(0.240625, 0.2451171875-stats.pdaFontSize * 1.15, stats.pdaFontSize, "Bunker leer");
	end;
	setTextColor(0,0,0,1);
	
	setTextAlignment(RenderText.ALIGN_RIGHT);
	renderText(0.378125, 0.15234375, stats.pdaFontSize, MapBGABunker.power.." KW");
	setTextAlignment(RenderText.ALIGN_LEFT);
	
	setTextBold(false);
	
	renderText(0.0515625, 0.0419921875+stats.pdaFontSize * 2, stats.pdaFontSize*0.9, "Auslastung: "..math.floor((MapBGABunker.yesterDayMoney/(MapBGABunker.electricityPrice*MapBGABunker.power*24))*100).." %");
	renderText(0.0515625, 0.0419921875+stats.pdaFontSize * 1, stats.pdaFontSize*0.9, "Heute Erwirtschaftet: "..math.floor(MapBGABunker.money).." "..g_i18n:getText("Currency_symbol"));
	renderText(0.0515625, 0.0419921875, stats.pdaFontSize*0.9, "Gestern Erwirtschaftet: "..math.floor(MapBGABunker.yesterDayMoney).." "..g_i18n:getText("Currency_symbol"));
	
	setTextColor(1,1,1,1);
	

end;

